- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- SetImageProgressMonitor
- SetImageInfoProgressMonitor

# NAME

monitor - Monitor the Progress of an Image Operation

# SYNOPSIS

MagickProgressMonitor SetImageInfoProgressMonitor( ImageInfo *image_info, const MagickProgressMonitor progress_monitor, void *client_data );

MagickProgressMonitor SetImageProgressMonitor( Image *image, const MagickProgressMonitor progress_monitor, void *client_data );

# FUNCTION DESCRIPTIONS

## SetImageProgressMonitor

> SetImageProgressMonitor() sets the image progress monitor to the specified method and returns the previous progress monitor if any. The progress monitor method looks like this:

      MagickBooleanType MagickProgressMonitor(const char *text,
        const MagickOffsetType offset,const MagickSizeType span,
        void *client_data)

If the progress monitor returns MagickFalse, the current operation is interrupted.

The format of the SetImageProgressMonitor method is:

> MagickProgressMonitor SetImageProgressMonitor ( Image *image, const MagickProgressMonitor progress_monitor, void *client_data );

A description of each parameter follows:

image:
  The image.

progress_monitor:
  Specifies a pointer to a method to monitor progress of an image operation.

client_data:
  Specifies a pointer to any client data.

## SetImageInfoProgressMonitor

> SetImageInfoProgressMonitor() sets the image_info progress monitor to the specified method and returns the previous progress monitor if any. The progress monitor method looks like this:

      MagickBooleanType MagickProgressMonitor(const char *text,
        const MagickOffsetType offset,const MagickSizeType span,
        void *client_data)

If the progress monitor returns MagickFalse, the current operation is interrupted.

The format of the SetImageInfoProgressMonitor method is:

> MagickProgressMonitor SetImageInfoProgressMonitor ( ImageInfo *image_info, const MagickProgressMonitor progress_monitor, void *client_data );

A description of each parameter follows:

image_info:
  The image info.

progress_monitor:
  Specifies a pointer to a method to monitor progress of an image operation.

client_data:
  Specifies a pointer to any client data.

"Image manipulation software that works like magick"